org.kie.internal.task.api

## Interface UserGroupCallback

- All Superinterfaces:
    org.kie.api.task.UserGroupCallback

      public interface UserGroupCallback
      extends org.kie.api.task.UserGroupCallback

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `existsGroup(String groupId)` Resolves existence of group id.
    `boolean` | `existsUser(String userId)` Resolves existence of user id.
    `List<String>` | `getGroupsForUser(String userId, List<String> groupIds, List<String> allExistingGroupIds)` Returns list of group ids for specified user id.

- - ### Method Detail

    - #### existsUser

          boolean existsUser(String userId)

      Resolves existence of user id.
      Specified by:
        `existsUser` in interface `org.kie.api.task.UserGroupCallback`
      Parameters:
        `userId` - the user id assigned to the task
      Returns:
        true if userId exists, false otherwise.

    - #### existsGroup

          boolean existsGroup(String groupId)

      Resolves existence of group id.
      Specified by:
        `existsGroup` in interface `org.kie.api.task.UserGroupCallback`
      Parameters:
        `groupId` - the group id assigned to the task
      Returns:
        true if groupId exists, false otherwise.

    - #### getGroupsForUser

          List<String> getGroupsForUser(String userId,
                                        List<String> groupIds,
                                        List<String> allExistingGroupIds)

      Returns list of group ids for specified user id.
      Specified by:
        `getGroupsForUser` in interface `org.kie.api.task.UserGroupCallback`
      Parameters:
        `userId` - the user id assigned to the task
        `groupIds` - list of group ids assigned to the task
        `allExistingGroupIds` - list of all currently known group ids
      Returns:
        A list of group ids: all implementations of this interface should always return a list here, regardless of whether groups are found or not.

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.